version: "3.9"
services:
  web:
    build: .
    command: python run.py
    restart: always
    healthcheck:
      test: curl --fail http://localhost:8080 || exit 1
      interval: "60s"
      timeout: "3s"
      start_period: "5s"
      retries: 3
    environment:
      - SHELLY_IP=${SHELLY_IP}
    ports:
      - "8040:8080"

  beat:
    build: .
    command: celery -A src.tasks beat
    restart: always
    depends_on:
      - redis

  worker:
    build: .
    command: celery -A src.tasks worker --loglevel=info
    restart: always
    depends_on:
      - redis

  redis:
    image: redis/redis-stack-server
    restart: always
    volumes:
      - redis:/data

  # Optional
  redis-insight:
    image: redis/redisinsight
    restart: always
    ports:
      - "5540:5540"

volumes:
  redis:
  mongodb:
